<?php
	require_once("config/connect.php");
	require_once("global_functions.php");
	check_login('', '', 'standardUser');
	
	if(!isset($_SESSION)){session_start();}			# wenn kellnerschloss abgezogen wird wird AUCH eine session gesetzt, wenn der logout auf kassieren 
														# nicht mehr ausgeführt wird weil tische schon geladen dann löst die session das logout hier aus, gleiche funktion auch auf kassieren
		if(isset($_SESSION['autologout']) && $_SESSION['autologout'] == true){
			?> <script> setTimeout(checkPendingRequest, 500); </script> 	<?php
		}
		
		$abschluss_bon = false;
		$abschluss_bon=ist_kassa_offen();
		
		if(isset($_SESSION['userId']) && $_SESSION['userId'] >0) $currentUserId=$_SESSION['userId'];
		else $currentUserId=0;
		
		
		
				
?>
<!DOCTYPE html> 
<html> 
<head> 
    <meta charset="UTF-8"> 
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>SITPOS Kassenabrechnung Benutzer</title>
	<?php echo PAGE_CACHE_OFF; 
		if (is_mobile()) echo "<meta content='width=732, user-scalable=0' name='viewport' />";

	?>
	
	<link rel="stylesheet" type="text/css" href="include/menue.css">
	<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css">
	<style type="text/css">
	<?php include 'include/main.css'; 
		include 'include/menue.css';
		
		if($mobileDevice==true){
			include 'include/mobile.css';
		}

	?>
	</style>
	<script src="jquery/jquery-2.1.1.min.js"></script>
	<script src="jquery/jquery-ui1.11.4.js"></script>
	<script src="jquery/numeral.min.js"></script>
	<script src="jquery/jquery.number.min.js"></script>
	<script src="include/global_js_functions.js"></script>
	<script src="include/global_gastro_functions.js"></script>
	<script src="include/bonSplitten.js"></script>
	<script>
	
		abschlUserId="<?php echo $currentUserId; ?>";   // ist gobal weil es in global_js_f.. kassenabrechnungBenutzer pdf ausdruck gebraucht wird
	
		function drucke_kassenabrechnung_aus(bon_id){	
				invoicebonPdfPrint="<?php echo AUSDRUCK_RECHNUNGSBON_PDF; ?>";
	
				if(abschlUserId <= 0 || bon_id == false || typeof bon_id === 'undefined'){
					$("#fenster_links").html("<h4 class='adminTxtHeaderH4'>Kassenabrechnung nicht möglich</h4><p class='adminTxt_p_center'>Prüfen Sie ob die Kassa eröffnet ist.</p>");
					return false;
				}

				$.ajax({
					type: "POST",
					url: "ajax_funktionen.php",
					dataType : "html",
					data: {funktion: "kassenabschluss_ausdrucken", id: bon_id, abschlOnUser:abschlUserId, },
					async: false,
					success:function(html){
						$("#fenster_rechts").html(html).css({ "height":$("#fenster_links").height(), "width":"auto" });

					}
				})
		}
	
		

	
	</script>
	<?php
		
		
		
		
		
		
		
		
		
		
	?>
	
	</head> 
<body onload="drucke_kassenabrechnung_aus(<?php echo $abschluss_bon; ?>)"> 
	
	
	<?php # print_r($_SESSION);    ?>
		
	<div id="wrapper_bon" class="wrapper_bon">

			<?php	 menue_anzeigen(true); 
		echo "<div class=''cclear></div>";
				// Fenster Rechts
	echo "<div id='fenster_rechts' class='fenster_rechts'></div>";
	
	// Unterer Teil
	echo '<div id="fenster_links" class="fenster_links">';
	
	//echo "Offener Bon: " . $abschluss_bon;
	if ($abschluss_bon !== false)
	{
		
		if(strtolower(AUSDRUCK_RECHNUNGSBON_PDF) == 'ja') $forcePdfPrint=true;
		else $forcePdfPrint=false;
		
		echo "	<div class='adminPageUserAbrechnungTxtDiv'>
				<h4 >Kassabschluss Sequenz ".$abschluss_bon." ist offen.</h4>";
				$date = date('d-m-Y H:i:s', time());
				echo "Datum: $date";
				echo '<input type="hidden" name="funktion" value="kassa_schliessen_db_schreiben">';
				echo "<input type='hidden' name='abschluss_bon' id='abschluss_bon' value='".$abschluss_bon."'>
						<div id='abschlussDruckenDiv' class='abschlussDruckenDiv' ></div>
						<div class='cclear'></div>
						
						<button id='' class='button_none_float button_gross kassenAbrechBut orange' 
								onclick=\"seite_drucken('kassenabrechnung', ".$abschluss_bon.", '', '".$forcePdfPrint."')\" >Abrechnung drucken</button>
			</div>";
		
	}
			#	bonjournal_ansehen();
	echo '</div>';
	
		
		
	?>	
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

	</div> <!-- wrapper_bon schließen -->
	
</body>
</html>

